Bug 156723

Summary: Prefer local hyperlinks for console output
Product: connecteddeveloper Reporter: Jesse Glick <jglick>
Component: HudsonAssignee: Jesse Glick <jglick>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1    
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: ENHANCEMENT Exception Report:

Description Jesse Glick 2009-01-13 21:21:25 UTC
Currently console output from a job only links to the remote workspace. Would prefer to link to a local copy of sources
whenever feasible.

For example, http://test.geomatys.fr/hudson/job/GeoAPI/ws/trunk/.svn/entries lists:

https://geoapi.svn.sourceforge.net/svnroot/geoapi/trunk        [URL of this checkout]
https://geoapi.svn.sourceforge.net/svnroot/geoapi              [URL of server root]

whereas ${projdir}/.svn/entries (found via ProjectHudsonProvider?) might list:

https://geoapi.svn.sourceforge.net/svnroot/geoapi/trunk/geoapi [what is checked out here]
https://geoapi.svn.sourceforge.net/svnroot/geoapi              [URL of server root]

Assuming the server root URLs are the same (modulo protocol & minor hostname differences), you can infer that
http://test.geomatys.fr/hudson/job/GeoAPI/ws/geoapi corresponds to ${projdir}.

Probably a bit easier for Hg since you just need to find the .hg root. Two repos can be considered similar in case
.hg/store/00changelog.i are identical up to the first 1Kb or so.

Now if the file contents are identical (modulo CRLF), you can just open the local one. If they are different but
similar, you can perhaps open the local after adjusting line number.
Comment 1 Jesse Glick 2009-02-09 19:43:04 UTC
cdev #141e0c8c21ce should do it for SVN. (Hg support in issue #158034 etc.) For now, always opening the local file if it
can be located, without any attempt to check for version skew.
Comment 2 Quality Engineering 2009-03-17 08:35:57 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/141e0c8c21ce
User: Jesse Glick <jglick@netbeans.org>
Log: #156723: making an attempt to hyperlink to a local project when this can be aligned with the remote workspace.
Also refactoring ProjectHudsonProvider to be a global service, which is more flexible.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo